org.apache.ignite.spi.systemview.view

## Class SqlQueryHistoryView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlQueryHistoryView

    public class SqlQueryHistoryView
    extends Object

SQL query history representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`SqlQueryHistoryView(QueryHistory qry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `durationMax()`
`long` `durationMin()`
`long` `executions()`
`long` `failures()`
`Date` `lastStartTime()`
`boolean` `local()`
`String` `schemaName()`
`String` `sql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlQueryHistoryView

    public SqlQueryHistoryView(QueryHistory qry)

Parameters:
  `qry` - Query history item.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### sql

    public String sql()

Returns:
  Query text.

#### local

    public boolean local()

Returns:
  `True` if query local.

#### executions

    public long executions()

Returns:
  Number of executions of the query.

#### failures

    public long failures()

Returns:
  Number of failed execution of the query.

#### durationMin

    public long durationMin()

Returns:
  Minimal query duration.

#### durationMax

    public long durationMax()

Returns:
  Maximum query duration.

#### lastStartTime

    public Date lastStartTime()

Returns:
  Last start time.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020